| POST | /RestApi/translations/retry |
|---|
import Foundation
import ServiceStack
public class RetryTranslation : Codable
{
public var translationStatus:TranslationStatus
public var ids:[String]
public var changedFieldsOnly:Bool
required public init(){}
}
public enum TranslationStatus : Int, Codable
{
case Marked = 101
case Sending = 201
case Sent = 202
case Received = 301
case Importing = 302
case Imported = 303
case Completed = 304
case Archived = 401
case Deleted = 402
case Rejected = 403
case SendingError = 501
case ImportingError = 502
case ReceivingError = 503
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/translations/retry HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{"TranslationStatus":"Marked","Ids":["00000000-0000-0000-0000-000000000000"],"ChangedFieldsOnly":false}